## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname paperwork-backend
%global srcname_ paperwork_backend

Name:           python-%{srcname}
Version:        2.1.2
Release:        %autorelease
Summary:        Paperwork's backend

License:        GPL-3.0-or-later
URL:            https://gitlab.gnome.org/World/OpenPaperwork/paperwork/tree/master/paperwork-backend
Source0:        %pypi_source %{srcname}
# https://gitlab.gnome.org/World/OpenPaperwork/paperwork/-/issues/1035
Patch0001:      0001-Skip-docx-duplicated-import-test-entirely.patch
# python-Levenshtein changed to just Levenshtein. There isn't an upstream
# patch because upstream has decided to drop the dependency
# https://gitlab.gnome.org/World/OpenPaperwork/paperwork/-/commit/9072eea40e09b337939ed3c98b642df203752e9e
Patch0002:      0002-fix-levenshtein.patch
# https://gitlab.gnome.org/World/OpenPaperwork/paperwork/-/merge_requests/851
Patch0003:      0003-Use-default-OCR-language-for-C-locale.patch

BuildArch:      noarch

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%global _description %{expand: \
Paperwork is a tool to make papers searchable. The basic idea behind Paperwork
is "scan & forget" : You should be able to just scan a new document and forget
about it until the day you need it.

This is the backend part of Paperwork. It manages:
    The work directory / Access to the documents;
    Indexing;
    Searching;
    Suggestions;
    Import;
    Export.
}

%description %{_description}


%package -n     python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3dist(distro)
BuildRequires:  python3dist(openpaperwork-gtk)
BuildRequires:  python3dist(pygobject)
BuildRequires:  python3dist(pycairo)

BuildRequires:  python3-gobject
BuildRequires:  libinsane-gobject
BuildRequires:  libreoffice
BuildRequires:  poppler-glib
BuildRequires:  sane-backends-drivers-scanners
BuildRequires:  tesseract
BuildRequires:  tesseract-osd

Requires:       libinsane-gobject
Recommends:     libreoffice
Requires:       python3dist(pygobject)
Requires:       python3dist(pycairo)
Requires:       poppler-glib
Requires:       tesseract
Requires:       tesseract-osd

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version} -p2

find tests -name '*.pyc' -delete

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname_}

%check
PATH=%{buildroot}%{_bindir}:$PATH PYTHONPATH=%{buildroot}%{python3_sitelib} \
    %{python3} -m unittest discover --verbose -s tests

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.markdown
%license LICENSE

%changelog
* Mon Aug 07 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.1.2-5
- Fix locale issue with Python 3.12

* Sun Aug 06 2023 Troy Curtis Jr <troy@troycurtisjr.com> - 2.1.2-4
- Patch the Levenshtein reference to fix the build.

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 09 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.1.2-1
- Update to latest version (#2159154)

* Mon Dec 19 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.1.1-6
- Drop support for i686

* Wed Jul 27 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.1.1-5
- Skip docx duplicated import test entirely

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 06 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.1.1-3
- Mark docx import test as expected failure

* Mon Jul 04 2022 Python Maint <python-maint@redhat.com> - 2.1.1-2
- Rebuilt for Python 3.11

* Mon Feb 21 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.1.1-1
- Update to latest version (#2029142)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 30 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.1.0-1
- Update to latest version (#2029142)

* Thu Dec 30 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.3-5
- Switch to latest Python macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 12 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.3-1
- Update to latest version

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2.0.2-2
- Rebuilt for Python 3.10

* Fri Mar 19 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.2-1
- Update to latest version (#1889059)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.3.1-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 02 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.1-1
- Update to latest version

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.3.0-2
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Fri Aug 23 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.0-1
- Update to latest version

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2.4-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Mar 24 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.2.4-1
- Initial package.

